/*
 * $Id: DocumentBrowser.java,v 1.1 2005/11/14 14:15:51 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.koike.rss.tools.docb;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.logical_paradox.common.swing.Window;

/**
 * ドキュメントブラウザ
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class DocumentBrowser {
	/** ロガー */
	private static final Log log = LogFactory.getLog(DocumentBrowser.class);

	/**
	 * メインメソッド
	 * @param args プログラム引数
	 * @throws Exception 処理されなかった例外
	 */
	public static final void main(String[] args) throws Exception {
		String title = BrowserProperties.getProperty("window.title");
		Integer width = BrowserProperties.getIntegerProperty("window.width");
		Integer height = BrowserProperties.getIntegerProperty("window.height");

		DocumentBrowserPanel panel = new DocumentBrowserPanel();
		Window window = new Window(title, panel, width.intValue(), height.intValue());
		window.changeWindowListener(new BrowserWindowListener(panel));

		window.setVisible(true);

		log.trace("索引語ブラウザが開始されました");
	}
}
